Bug 910021 - Gray Out Removal of Running VM's Network Interface
Gray Out Removal of Running VM's Network Interface
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.2.0
Unspecified Unspecified
medium Severity low
: ---
: 3.2.0
Assigned To: Alona Kaplan
Meni Yakove
network
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2013-02-11 11:24 EST by Muli Salem
Modified: 2016-02-10 14:51 EST (History)
9 users (show)

See Also:
Fixed In Version: sf8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11974 None None None Never

  None (edit)
Description Muli Salem 2013-02-11 11:24:27 EST
Description of problem:
The "remove" button a VM Network Interface that is plugged to a running VM is not grayed out in the Virtual Machines subtab in the Network view.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Create VM
2. Add vNic to VM
3. Go to Networks main tab, to Virtual Machines subtab, try to remove the vNic.

Actual results:
The UI allows you to try to remove the vNic, and then it fails on CanDoAction.

Expected results:
The "remove" button should be grayed out, similar to how it is in the Virtual Machines view, in the Network Interfaces subtab.


Additional info:
Comment 1 Meni Yakove 2013-02-27 04:36:30 EST
Verified on rhevm-3.2.0-9.el6ev.noarch.
Comment 4 Itamar Heim 2013-06-11 05:49:38 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 05:49:49 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 05:57:50 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.